{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    {% if app.user %}
        <div class="mb-3">
            You are logged in as {{ app.user.userIdentifier }}, <a href="{{ path('app_logout') }}">Logout</a>
        </div>
    {% endif %}

    <div class="container">
        <div class="row">
            <div class="col-4 mt-3 d-flex align-items-center justify-content-center w-100 text-center"
                 style="padding-top: 100px; padding-bottom: 100px;">
                <form method="post">
                    <h1 class="mt-5 text-center">Connexion</h1>

                    <div class="form-group">
                        <label for="inputEmail">Email</label>
                        <input type="email" value="{{ last_username }}" name="email" id="inputEmail"
                               class="form-control mt-3 mb-3"
                               autocomplete="email" required autofocus>
                    </div>

                    <div class="form-group">
                        <label for="inputPassword">Password</label>
                        <input type="password" name="password" id="inputPassword" class="form-control mt-3 mb-3"
                               autocomplete="current-password"
                               required>
                    </div>

                    <input type="hidden" name="_csrf_token"
                           value="{{ csrf_token('authenticate') }}">

                    <div class="form-group">
                        <button class="btn btn-primary" type="submit">
                            Se connecter
                        </button>
                    </div>

                    <div class="form-group mt-3">
                        <a href="{{ path('app_register') }}">Pas encore de compte ?</a>
                    </div>

                    <div class="form-group mt-3">
                        <a href="{{ path('app_forgot_password_request') }}">Mot de passe oublié</a>
                    </div>
                </form>


            </div>
        </div>
    </div>
{% endblock %}
